GNU bug report logs - #10762
Dependency tracking looses libtool on OpenIndiana.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: Mats Erik Andersson <gnu@HIDDEN>; dated Wed, 8 Feb 2012 17:00:02 UTC; Maintainer for libtool is bug-libtool@HIDDEN.

Message received at 10762 <at> debbugs.gnu.org:


Received: (at 10762) by debbugs.gnu.org; 11 Feb 2012 15:30:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 11 10:30:11 2012
Received: from localhost ([127.0.0.1]:36311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RwEtv-0000xw-Cl
	for submit <at> debbugs.gnu.org; Sat, 11 Feb 2012 10:30:11 -0500
Received: from blade.simplesystems.org ([65.66.246.74]:54898)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <bfriesen@HIDDEN>) id 1RwEtr-0000x7-QK
	for 10762 <at> debbugs.gnu.org; Sat, 11 Feb 2012 10:30:09 -0500
Received: from freddy.simplesystems.org (freddy.simplesystems.org
	[65.66.246.65])
	by blade.simplesystems.org (8.14.4+Sun/8.14.4) with ESMTP id
	q1BFSfd6003048; Sat, 11 Feb 2012 09:28:41 -0600 (CST)
Date: Sat, 11 Feb 2012 09:28:41 -0600 (CST)
From: Bob Friesenhahn <bfriesen@HIDDEN>
X-X-Sender: bfriesen@HIDDEN
To: Mats Erik Andersson <gnu@HIDDEN>
Subject: Re: bug#10762: Dependency tracking looses libtool on OpenIndiana.
In-Reply-To: <20120211110950.GA32376@HIDDEN>
Message-ID: <alpine.GSO.2.01.1202110915450.15666@HIDDEN>
References: <20120208165141.GA30315@HIDDEN>
	<alpine.GSO.2.01.1202082020441.15666@HIDDEN>
	<20120211110950.GA32376@HIDDEN>
User-Agent: Alpine 2.01 (GSO 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Greylist: Sender IP whitelisted, not delayed by milter-greylist-4.2.2
	(blade.simplesystems.org [65.66.246.90]);
	Sat, 11 Feb 2012 09:28:42 -0600 (CST)
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10762
Cc: 10762 <at> debbugs.gnu.org, ludo@HIDDEN, bug-libtool@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

On Sat, 11 Feb 2012, Mats Erik Andersson wrote:
>
> A closer inspection reveals that the libtool project is doing
> well in distroying its own code: the variable ECHO is defined,
> byt is never used. Instead there are numerous "$echo" in use.
> Care to admit being the culprit?

Clearly some bad-weed has entered the picture.  Libtool 2.4.2 does not 
contain or produce any instances of '$echo'.  It only uses '$ECHO'.

It sounds like archaic libtool (pre libtool 2.2) and modern libtool m4 
code is being intermingled.  These problems were common back when 
libtool 2.2 was being introduced.  It seems that you have opened a 
time capsule from 2008.

Please make sure that your autotools are installed consistently (under 
the same prefix) and that any libtool .m4 files in the source tree are 
for the libtool being used.  Please make sure that you are using 
current released versions of autoconf, automake, and libtool before 
reporting a bug against them.

Bob
-- 
Bob Friesenhahn
bfriesen@HIDDEN, http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/




Information forwarded to bug-libtool@HIDDEN:
bug#10762; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Feb 2012 15:30:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 11 10:30:43 2012
Received: from localhost ([127.0.0.1]:36314 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RwEuR-0000yf-Le
	for submit <at> debbugs.gnu.org; Sat, 11 Feb 2012 10:30:43 -0500
Received: from eggs.gnu.org ([140.186.70.92]:36854)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <bfriesen@HIDDEN>) id 1RwEuQ-0000yU-UG
	for submit <at> debbugs.gnu.org; Sat, 11 Feb 2012 10:30:43 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <bfriesen@HIDDEN>) id 1RwEt3-0000Iu-IY
	for submit <at> debbugs.gnu.org; Sat, 11 Feb 2012 10:29:18 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:47488)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <bfriesen@HIDDEN>) id 1RwEt3-0000Io-H4
	for submit <at> debbugs.gnu.org; Sat, 11 Feb 2012 10:29:17 -0500
Received: from eggs.gnu.org ([140.186.70.92]:35202)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <bfriesen@HIDDEN>) id 1RwEt2-0000R1-8D
	for bug-libtool@HIDDEN; Sat, 11 Feb 2012 10:29:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <bfriesen@HIDDEN>) id 1RwEt0-0000IB-Tc
	for bug-libtool@HIDDEN; Sat, 11 Feb 2012 10:29:16 -0500
Received: from blade.simplesystems.org ([65.66.246.74]:54904)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <bfriesen@HIDDEN>)
	id 1RwEt0-0000Fs-NP; Sat, 11 Feb 2012 10:29:14 -0500
Received: from freddy.simplesystems.org (freddy.simplesystems.org
	[65.66.246.65])
	by blade.simplesystems.org (8.14.4+Sun/8.14.4) with ESMTP id
	q1BFSfd6003048; Sat, 11 Feb 2012 09:28:41 -0600 (CST)
Date: Sat, 11 Feb 2012 09:28:41 -0600 (CST)
From: Bob Friesenhahn <bfriesen@HIDDEN>
X-X-Sender: bfriesen@HIDDEN
To: Mats Erik Andersson <gnu@HIDDEN>
Subject: Re: bug#10762: Dependency tracking looses libtool on OpenIndiana.
In-Reply-To: <20120211110950.GA32376@HIDDEN>
Message-ID: <alpine.GSO.2.01.1202110915450.15666@HIDDEN>
References: <20120208165141.GA30315@HIDDEN>
	<alpine.GSO.2.01.1202082020441.15666@HIDDEN>
	<20120211110950.GA32376@HIDDEN>
User-Agent: Alpine 2.01 (GSO 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Greylist: Sender IP whitelisted, not delayed by milter-greylist-4.2.2
	(blade.simplesystems.org [65.66.246.90]);
	Sat, 11 Feb 2012 09:28:42 -0600 (CST)
X-detected-operating-system: by eggs.gnu.org: Solaris 10 (beta)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
Cc: 10762 <at> debbugs.gnu.org, ludo@HIDDEN, bug-libtool@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

On Sat, 11 Feb 2012, Mats Erik Andersson wrote:
>
> A closer inspection reveals that the libtool project is doing
> well in distroying its own code: the variable ECHO is defined,
> byt is never used. Instead there are numerous "$echo" in use.
> Care to admit being the culprit?

Clearly some bad-weed has entered the picture.  Libtool 2.4.2 does not 
contain or produce any instances of '$echo'.  It only uses '$ECHO'.

It sounds like archaic libtool (pre libtool 2.2) and modern libtool m4 
code is being intermingled.  These problems were common back when 
libtool 2.2 was being introduced.  It seems that you have opened a 
time capsule from 2008.

Please make sure that your autotools are installed consistently (under 
the same prefix) and that any libtool .m4 files in the source tree are 
for the libtool being used.  Please make sure that you are using 
current released versions of autoconf, automake, and libtool before 
reporting a bug against them.

Bob
-- 
Bob Friesenhahn
bfriesen@HIDDEN, http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/




Information forwarded to bug-libtool@HIDDEN:
bug#10762; Package libtool. Full text available.

Message received at 10762 <at> debbugs.gnu.org:


Received: (at 10762) by debbugs.gnu.org; 11 Feb 2012 11:11:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 11 06:11:35 2012
Received: from localhost ([127.0.0.1]:35653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RwArf-0000yy-5H
	for submit <at> debbugs.gnu.org; Sat, 11 Feb 2012 06:11:35 -0500
Received: from ch-smtp04.sth.basefarm.net ([80.76.153.5]:49001)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <mats.andersson@HIDDEN>) id 1RwArc-0000yq-7M
	for 10762 <at> debbugs.gnu.org; Sat, 11 Feb 2012 06:11:33 -0500
Received: from c83-253-249-30.bredband.comhem.se ([83.253.249.30]:55002
	helo=aun)
	by ch-smtp04.sth.basefarm.net with esmtps (TLSv1:AES256-SHA:256)
	(Exim 4.76) (envelope-from <mats.andersson@HIDDEN>)
	id 1RwAq5-0002dv-FH; Sat, 11 Feb 2012 12:09:59 +0100
Received: from meand by aun with local (Exim 4.69)
	(envelope-from <mats.andersson@HIDDEN>)
	id 1RwApy-00007X-6V; Sat, 11 Feb 2012 12:09:52 +0100
Date: Sat, 11 Feb 2012 12:09:50 +0100
From: Mats Erik Andersson <gnu@HIDDEN>
To: bug-libtool@HIDDEN
Message-ID: <20120211110950.GA32376@HIDDEN>
References: <20120208165141.GA30315@HIDDEN>
	<alpine.GSO.2.01.1202082020441.15666@HIDDEN>
MIME-Version: 1.0
Content-Disposition: inline
In-Reply-To: <alpine.GSO.2.01.1202082020441.15666@HIDDEN>
User-Agent: Mutt/1.5.18 (2008-05-17)
X-SA-Exim-Connect-IP: <locally generated>
X-SA-Exim-Rcpt-To: bug-libtool@HIDDEN, 10762 <at> debbugs.gnu.org, ludo@HIDDEN
X-SA-Exim-Mail-From: mats.andersson@HIDDEN
X-Spam-Checker-Version: SpamAssassin 3.2.5 (2008-06-10) on aun.utmark.mea
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,NO_RELAYS
	autolearn=ham version=3.2.5
Subject: Re: bug#10762: Dependency tracking looses libtool on OpenIndiana.
Content-Type: text/plain; charset=us-ascii
X-SA-Exim-Version: 4.2.1 (built Wed, 25 Jun 2008 17:14:11 +0000)
X-SA-Exim-Scanned: Yes (on aun)
X-Originating-IP: 83.253.249.30
X-Scan-Result: No virus found in message 1RwAq5-0002dv-FH.
X-Scan-Signature: ch-smtp04.sth.basefarm.net 1RwAq5-0002dv-FH
	99545c75f695e0a07c43d8d63fc81bab
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 10762
Cc: 10762 <at> debbugs.gnu.org, Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

onsdag den  8 februari 2012 klockan 20:27 skrev Bob Friesenhahn detta:
> On Wed, 8 Feb 2012, Mats Erik Andersson wrote:
>
>> Hello there,
>>
>> when building libgpg-error on OpenIndiana, I observe myself,
>> as well as the autobuilder at http://hydra.nixos.org/, that
>> libtool misbehaves in the configuration step, should the
>> switch "--disable-dependency-tracking" be active.
>
> This project seems to use libtool 2.2.6, which is from 2008, so its  
> libtool is antique.
>
> Does the problem go away if you do this in the source tree?
>
>   libtoolize --copy --force
>   autoreconf
>   ./configure --disable-static --prefix=/tmp/roen \
>          --disable-dependency-tracking
>
> I just tested this on Solaris 10 with autoconf 2.68, automake 1.11.3,  
> and libtool 2.4.2 and it worked for me.

On a minimaly expanded OpenIndiana, the above steps need

    ACLOCAL=aclocal-1.10 AUTOMAKE=aclocal-1.10 automake

since the default installation ships with version 1.10 and 1.9.

Then the initial problem goes away, i.e., missing libtool, but on the other
hand the standard X-idiom is failing once executing libtool using "make".
Libtool also chokes unduly on a bogus "--prefix", so the excerpt below
excludes that switch in comparison to the initial message.

A closer inspection reveals that the libtool project is doing
well in distroying its own code: the variable ECHO is defined,
byt is never used. Instead there are numerous "$echo" in use.
Care to admit being the culprit?

Once I have patched the installed libtool with this one-liner,
then the build step is conducted successfully.


Regards,
  Mats Erik Andersson, (most working on GNU Inetutils!)


make[3]: Entering directory `/tmp/libgpg-error-1.10/src'
/bin/sh ../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/local/share/locale\"    -g -O2 -c -o libgpg_error_la-init.lo `test -f 'init.c' || echo './'`init.c
../libtool: line 797: X--tag=CC: not found
../libtool[830]: libtool: ignoring unknown tag : not found [No such file or directory]
../libtool: line 797: X--mode=compile: not found
../libtool[963]: *** Warning: inferring the mode of operation is deprecated.: not found [No such file or directory]



--- libtool.orig	2012-02-11 11:58:18.666991292 +0100
+++ libtool	2012-02-11 11:59:06.029847611 +0100
@@ -159,7 +159,7 @@
 SHELL="/bin/sh"
 
 # An echo program that does not interpret backslashes.
-ECHO="/usr/gnu/bin/echo"
+echo="/usr/gnu/bin/echo"
 
 # Used to examine libraries when file_magic_cmd begins with "file".
 MAGIC_CMD=file




Information forwarded to bug-libtool@HIDDEN:
bug#10762; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Feb 2012 11:11:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 11 06:11:53 2012
Received: from localhost ([127.0.0.1]:35656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RwArw-0000zT-Kb
	for submit <at> debbugs.gnu.org; Sat, 11 Feb 2012 06:11:52 -0500
Received: from eggs.gnu.org ([140.186.70.92]:38609)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <mats.andersson@HIDDEN>) id 1RwAru-0000zE-Kv
	for submit <at> debbugs.gnu.org; Sat, 11 Feb 2012 06:11:51 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <mats.andersson@HIDDEN>) id 1RwAqW-0007RE-Dq
	for submit <at> debbugs.gnu.org; Sat, 11 Feb 2012 06:10:26 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_LOW
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:53552)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <mats.andersson@HIDDEN>) id 1RwAqW-0007Qz-C0
	for submit <at> debbugs.gnu.org; Sat, 11 Feb 2012 06:10:24 -0500
Received: from eggs.gnu.org ([140.186.70.92]:42498)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <mats.andersson@HIDDEN>) id 1RwAqU-0004lY-PJ
	for bug-libtool@HIDDEN; Sat, 11 Feb 2012 06:10:24 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <mats.andersson@HIDDEN>) id 1RwAqM-0007QU-Di
	for bug-libtool@HIDDEN; Sat, 11 Feb 2012 06:10:22 -0500
Received: from ch-smtp04.sth.basefarm.net ([80.76.153.5]:60132)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <mats.andersson@HIDDEN>)
	id 1RwAqL-0007QQ-W3; Sat, 11 Feb 2012 06:10:14 -0500
Received: from c83-253-249-30.bredband.comhem.se ([83.253.249.30]:55002
	helo=aun)
	by ch-smtp04.sth.basefarm.net with esmtps (TLSv1:AES256-SHA:256)
	(Exim 4.76) (envelope-from <mats.andersson@HIDDEN>)
	id 1RwAq5-0002dv-FH; Sat, 11 Feb 2012 12:09:59 +0100
Received: from meand by aun with local (Exim 4.69)
	(envelope-from <mats.andersson@HIDDEN>)
	id 1RwApy-00007X-6V; Sat, 11 Feb 2012 12:09:52 +0100
Date: Sat, 11 Feb 2012 12:09:50 +0100
From: Mats Erik Andersson <gnu@HIDDEN>
To: bug-libtool@HIDDEN
Message-ID: <20120211110950.GA32376@HIDDEN>
References: <20120208165141.GA30315@HIDDEN>
	<alpine.GSO.2.01.1202082020441.15666@HIDDEN>
MIME-Version: 1.0
Content-Disposition: inline
In-Reply-To: <alpine.GSO.2.01.1202082020441.15666@HIDDEN>
User-Agent: Mutt/1.5.18 (2008-05-17)
X-SA-Exim-Connect-IP: <locally generated>
X-SA-Exim-Rcpt-To: bug-libtool@HIDDEN, 10762 <at> debbugs.gnu.org, ludo@HIDDEN
X-SA-Exim-Mail-From: mats.andersson@HIDDEN
Subject: Re: bug#10762: Dependency tracking looses libtool on OpenIndiana.
Content-Type: text/plain; charset=us-ascii
X-SA-Exim-Version: 4.2.1 (built Wed, 25 Jun 2008 17:14:11 +0000)
X-SA-Exim-Scanned: Yes (on aun)
X-Originating-IP: 83.253.249.30
X-Scan-Result: No virus found in message 1RwAq5-0002dv-FH.
X-Scan-Signature: ch-smtp04.sth.basefarm.net 1RwAq5-0002dv-FH
	99545c75f695e0a07c43d8d63fc81bab
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
Cc: 10762 <at> debbugs.gnu.org, Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

onsdag den  8 februari 2012 klockan 20:27 skrev Bob Friesenhahn detta:
> On Wed, 8 Feb 2012, Mats Erik Andersson wrote:
>
>> Hello there,
>>
>> when building libgpg-error on OpenIndiana, I observe myself,
>> as well as the autobuilder at http://hydra.nixos.org/, that
>> libtool misbehaves in the configuration step, should the
>> switch "--disable-dependency-tracking" be active.
>
> This project seems to use libtool 2.2.6, which is from 2008, so its  
> libtool is antique.
>
> Does the problem go away if you do this in the source tree?
>
>   libtoolize --copy --force
>   autoreconf
>   ./configure --disable-static --prefix=/tmp/roen \
>          --disable-dependency-tracking
>
> I just tested this on Solaris 10 with autoconf 2.68, automake 1.11.3,  
> and libtool 2.4.2 and it worked for me.

On a minimaly expanded OpenIndiana, the above steps need

    ACLOCAL=aclocal-1.10 AUTOMAKE=aclocal-1.10 automake

since the default installation ships with version 1.10 and 1.9.

Then the initial problem goes away, i.e., missing libtool, but on the other
hand the standard X-idiom is failing once executing libtool using "make".
Libtool also chokes unduly on a bogus "--prefix", so the excerpt below
excludes that switch in comparison to the initial message.

A closer inspection reveals that the libtool project is doing
well in distroying its own code: the variable ECHO is defined,
byt is never used. Instead there are numerous "$echo" in use.
Care to admit being the culprit?

Once I have patched the installed libtool with this one-liner,
then the build step is conducted successfully.


Regards,
  Mats Erik Andersson, (most working on GNU Inetutils!)


make[3]: Entering directory `/tmp/libgpg-error-1.10/src'
/bin/sh ../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/local/share/locale\"    -g -O2 -c -o libgpg_error_la-init.lo `test -f 'init.c' || echo './'`init.c
../libtool: line 797: X--tag=CC: not found
../libtool[830]: libtool: ignoring unknown tag : not found [No such file or directory]
../libtool: line 797: X--mode=compile: not found
../libtool[963]: *** Warning: inferring the mode of operation is deprecated.: not found [No such file or directory]



--- libtool.orig	2012-02-11 11:58:18.666991292 +0100
+++ libtool	2012-02-11 11:59:06.029847611 +0100
@@ -159,7 +159,7 @@
 SHELL="/bin/sh"
 
 # An echo program that does not interpret backslashes.
-ECHO="/usr/gnu/bin/echo"
+echo="/usr/gnu/bin/echo"
 
 # Used to examine libraries when file_magic_cmd begins with "file".
 MAGIC_CMD=file




Information forwarded to bug-libtool@HIDDEN:
bug#10762; Package libtool. Full text available.

Message received at 10762 <at> debbugs.gnu.org:


Received: (at 10762) by debbugs.gnu.org; 9 Feb 2012 02:28:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 08 21:28:29 2012
Received: from localhost ([127.0.0.1]:32994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RvJkK-0004Uc-WE
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2012 21:28:29 -0500
Received: from blade.simplesystems.org ([65.66.246.74]:48969)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <bfriesen@HIDDEN>) id 1RvJkH-0004UN-AK
	for 10762 <at> debbugs.gnu.org; Wed, 08 Feb 2012 21:28:27 -0500
Received: from freddy.simplesystems.org (freddy.simplesystems.org
	[65.66.246.65])
	by blade.simplesystems.org (8.14.4+Sun/8.14.4) with ESMTP id
	q192RCom024518; Wed, 8 Feb 2012 20:27:13 -0600 (CST)
Date: Wed, 8 Feb 2012 20:27:12 -0600 (CST)
From: Bob Friesenhahn <bfriesen@HIDDEN>
X-X-Sender: bfriesen@HIDDEN
To: Mats Erik Andersson <gnu@HIDDEN>
Subject: Re: bug#10762: Dependency tracking looses libtool on OpenIndiana.
In-Reply-To: <20120208165141.GA30315@HIDDEN>
Message-ID: <alpine.GSO.2.01.1202082020441.15666@HIDDEN>
References: <20120208165141.GA30315@HIDDEN>
User-Agent: Alpine 2.01 (GSO 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Greylist: Sender IP whitelisted, not delayed by milter-greylist-4.2.2
	(blade.simplesystems.org [65.66.246.90]);
	Wed, 08 Feb 2012 20:27:13 -0600 (CST)
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10762
Cc: 10762 <at> debbugs.gnu.org, bug-libtool@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

On Wed, 8 Feb 2012, Mats Erik Andersson wrote:

> Hello there,
>
> when building libgpg-error on OpenIndiana, I observe myself,
> as well as the autobuilder at http://hydra.nixos.org/, that
> libtool misbehaves in the configuration step, should the
> switch "--disable-dependency-tracking" be active.

This project seems to use libtool 2.2.6, which is from 2008, so its 
libtool is antique.

Does the problem go away if you do this in the source tree?

   libtoolize --copy --force
   autoreconf
   ./configure --disable-static --prefix=/tmp/roen \
          --disable-dependency-tracking

I just tested this on Solaris 10 with autoconf 2.68, automake 1.11.3, 
and libtool 2.4.2 and it worked for me.

Please let us know if the problem does not go away.

Bob
-- 
Bob Friesenhahn
bfriesen@HIDDEN, http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/




Information forwarded to bug-libtool@HIDDEN:
bug#10762; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Feb 2012 02:29:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 08 21:29:00 2012
Received: from localhost ([127.0.0.1]:33008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RvJkq-0004VZ-Kc
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2012 21:29:00 -0500
Received: from eggs.gnu.org ([140.186.70.92]:34854)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <bfriesen@HIDDEN>) id 1RvJko-0004VH-Nt
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2012 21:28:59 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <bfriesen@HIDDEN>) id 1RvJjf-0008L7-8t
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2012 21:27:48 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:50517)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <bfriesen@HIDDEN>) id 1RvJjf-0008L3-7O
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2012 21:27:47 -0500
Received: from eggs.gnu.org ([140.186.70.92]:51755)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <bfriesen@HIDDEN>) id 1RvJjd-0003kP-Tn
	for bug-libtool@HIDDEN; Wed, 08 Feb 2012 21:27:47 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <bfriesen@HIDDEN>) id 1RvJjc-0008Kf-Kb
	for bug-libtool@HIDDEN; Wed, 08 Feb 2012 21:27:45 -0500
Received: from blade.simplesystems.org ([65.66.246.74]:48971)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <bfriesen@HIDDEN>) id 1RvJjc-0008KG-1s
	for bug-libtool@HIDDEN; Wed, 08 Feb 2012 21:27:44 -0500
Received: from freddy.simplesystems.org (freddy.simplesystems.org
	[65.66.246.65])
	by blade.simplesystems.org (8.14.4+Sun/8.14.4) with ESMTP id
	q192RCom024518; Wed, 8 Feb 2012 20:27:13 -0600 (CST)
Date: Wed, 8 Feb 2012 20:27:12 -0600 (CST)
From: Bob Friesenhahn <bfriesen@HIDDEN>
X-X-Sender: bfriesen@HIDDEN
To: Mats Erik Andersson <gnu@HIDDEN>
Subject: Re: bug#10762: Dependency tracking looses libtool on OpenIndiana.
In-Reply-To: <20120208165141.GA30315@HIDDEN>
Message-ID: <alpine.GSO.2.01.1202082020441.15666@HIDDEN>
References: <20120208165141.GA30315@HIDDEN>
User-Agent: Alpine 2.01 (GSO 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Greylist: Sender IP whitelisted, not delayed by milter-greylist-4.2.2
	(blade.simplesystems.org [65.66.246.90]);
	Wed, 08 Feb 2012 20:27:13 -0600 (CST)
X-detected-operating-system: by eggs.gnu.org: Solaris 10 (beta)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
Cc: 10762 <at> debbugs.gnu.org, bug-libtool@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

On Wed, 8 Feb 2012, Mats Erik Andersson wrote:

> Hello there,
>
> when building libgpg-error on OpenIndiana, I observe myself,
> as well as the autobuilder at http://hydra.nixos.org/, that
> libtool misbehaves in the configuration step, should the
> switch "--disable-dependency-tracking" be active.

This project seems to use libtool 2.2.6, which is from 2008, so its 
libtool is antique.

Does the problem go away if you do this in the source tree?

   libtoolize --copy --force
   autoreconf
   ./configure --disable-static --prefix=/tmp/roen \
          --disable-dependency-tracking

I just tested this on Solaris 10 with autoconf 2.68, automake 1.11.3, 
and libtool 2.4.2 and it worked for me.

Please let us know if the problem does not go away.

Bob
-- 
Bob Friesenhahn
bfriesen@HIDDEN, http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/




Information forwarded to bug-libtool@HIDDEN:
bug#10762; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Feb 2012 16:59:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 08 11:59:05 2012
Received: from localhost ([127.0.0.1]:60884 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RvArI-0006Dj-Ku
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2012 11:59:04 -0500
Received: from eggs.gnu.org ([140.186.70.92]:41445)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <mats.andersson@HIDDEN>) id 1RvAmP-000669-MF
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2012 11:54:02 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <mats.andersson@HIDDEN>) id 1RvAlG-0000kV-MA
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2012 11:52:54 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_LOW
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:46457)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <mats.andersson@HIDDEN>) id 1RvAlG-0000kR-Kg
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2012 11:52:50 -0500
Received: from eggs.gnu.org ([140.186.70.92]:52510)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <mats.andersson@HIDDEN>) id 1RvAlC-00011k-Pm
	for bug-libtool@HIDDEN; Wed, 08 Feb 2012 11:52:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <mats.andersson@HIDDEN>) id 1RvAl6-0000gH-Sd
	for bug-libtool@HIDDEN; Wed, 08 Feb 2012 11:52:46 -0500
Received: from ch-smtp05.sth.basefarm.net ([80.76.153.6]:33154)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <mats.andersson@HIDDEN>) id 1RvAl6-0000gC-At
	for bug-libtool@HIDDEN; Wed, 08 Feb 2012 11:52:40 -0500
Received: from c83-253-249-30.bredband.comhem.se ([83.253.249.30]:38088
	helo=aun)
	by ch-smtp05.sth.basefarm.net with esmtps (TLSv1:AES256-SHA:256)
	(Exim 4.76) (envelope-from <mats.andersson@HIDDEN>)
	id 1RvAkC-000350-JL
	for bug-libtool@HIDDEN; Wed, 08 Feb 2012 17:51:50 +0100
Received: from meand by aun with local (Exim 4.69)
	(envelope-from <mats.andersson@HIDDEN>) id 1RvAk9-0007wm-LD
	for bug-libtool@HIDDEN; Wed, 08 Feb 2012 17:51:42 +0100
Date: Wed, 8 Feb 2012 17:51:41 +0100
From: Mats Erik Andersson <gnu@HIDDEN>
To: bug-libtool@HIDDEN
Message-ID: <20120208165141.GA30315@HIDDEN>
MIME-Version: 1.0
Content-Disposition: inline
User-Agent: Mutt/1.5.18 (2008-05-17)
X-SA-Exim-Connect-IP: <locally generated>
X-SA-Exim-Rcpt-To: bug-libtool@HIDDEN
X-SA-Exim-Mail-From: mats.andersson@HIDDEN
Subject: Dependency tracking looses libtool on OpenIndiana.
Content-Type: text/plain; charset=us-ascii
X-SA-Exim-Version: 4.2.1 (built Wed, 25 Jun 2008 17:14:11 +0000)
X-SA-Exim-Scanned: Yes (on aun)
X-Originating-IP: 83.253.249.30
X-Scan-Result: No virus found in message 1RvAkC-000350-JL.
X-Scan-Signature: ch-smtp05.sth.basefarm.net 1RvAkC-000350-JL
	9278267ef29c876f5aeb3d6357ae61ac
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 08 Feb 2012 11:59:03 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

Hello there,

when building libgpg-error on OpenIndiana, I observe myself,
as well as the autobuilder at http://hydra.nixos.org/, that
libtool misbehaves in the configuration step, should the
switch "--disable-dependency-tracking" be active.

With this switch activated, the last claim is

   $ ./configure --disable-static --prefix=/tmp/roen \
        --disable-dependency-tracking
   ...
   ./config.status[1401]: shift: (null): bad number

and "./libtool" will be missing. Removing said option switch
will remove the error and also properly install "./libtool".
Thus preparing for a successful build step later on.

The offending code passage, generated by "aclocal.m4", is this

 ##### config.status

       # are listed without --file. Let's play safe and only enable the eval
       # if we detect the quoting.

1397   case $CONFIG_FILES in
1398   *\'*) eval set x "$CONFIG_FILES" ;;
1399   *) set x $CONFIG_FILES ;;
1400   esac

1401   shift
1402   for mf
1403   do


Regards,
  Mats Erik Andersson




Acknowledgement sent to Mats Erik Andersson <gnu@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#10762; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.